@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400&display=swap');

* {
  padding: 0;
  margin: 0;
  font-family: 'Roboto', sans-serif;
  font-weight: normal;
}

a {
  color: #000000;
  text-decoration: none;

  &:visited {
    color: #000000;
  }
}

svg {
  width: 25px;
  height: 25px;
}

.rightIcon {
  margin-left: 10px;
}

.leftIcon {
  margin-right: 10px;
}

.app {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;

  .container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 30px 1fr 1fr;
    width: 300px;
    min-height: 200px;
    max-height: max-content;
    padding: 20px 10px;
    margin: 20px;
    text-align: center;
    //border: 2px solid #ededed;
    border-radius: 10px;

    h2 {
      max-width: max-content;
      padding-bottom: 3px;
      margin: auto;
      border-bottom: 2px solid #000000;
    }

    form {
      grid-column: 1/2;
      grid-row: 2/3;
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-top: 25px;

      label {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 25px;

        &.checkbox {
          flex-direction: row;
          margin-left: 35px;
          margin-bottom: 15px;
          width: 100%;

          &:last-of-type {
            margin-bottom: 25px;
          }

          input[type=checkbox] {
            margin-right: 10px;
          }
        }

        input[type=text] {
          margin-top: 10px;
        }
      }
    }

    .wrapper {
      grid-column: 1/2;
      grid-row: 2/3;
      display: flex;
      justify-content: center;
      margin-top: 25px;

      &.text {
        grid-column: none;
        grid-row: none;
        margin-top: 0;
      }

      &.link {
        grid-column: none;
        grid-row: none;
        align-items: center;
      }

      &.totalTracks {
        margin-top: 15px;
      }
    }

    .btn,
    input[type=submit] {
      padding: 7px 10px;
      max-width: max-content;
      border-radius: 3px;
      color: #ffffff;
      border: 2px solid #2c73d2;
      background: #2c73d2;
      cursor: pointer;
      transition: 200ms ease;

      &:hover {
        color: #000000;
        background: #ffffff;
      }
    }

    .info {
      grid-column: 1/2;
      grid-row: 3/4;
      margin-top: 25px;

      p {
        line-height: 25px;
      }
    }
  }
}